package it.polimi.ingsw.gc14.Model;

import org.junit.jupiter.api.Test;

import static org.junit.jupiter.api.Assertions.*;

class SlotTest {

    @Test
    void SlotWrongArgument() {
        assertDoesNotThrow(() -> {
            Slot sl1 = new Slot('A');
        });
        assertDoesNotThrow(() -> {
            Slot sl1 = new Slot('B');
        });
        assertDoesNotThrow(() -> {
            Slot sl1 = new Slot('C');
        });
        assertDoesNotThrow(() -> {
            Slot sl1 = new Slot('D');
        });
        assertDoesNotThrow(() -> {
            Slot sl1 = new Slot('E');
        });
        assertDoesNotThrow(() -> {
            Slot sl1 = new Slot('F');
        });
        assertDoesNotThrow(() -> {
            Slot sl1 = new Slot('G');
        });

        assertThrows(IllegalArgumentException.class, () -> {
            Slot sl1 = new Slot('H');
        });

    }
}